### Method

# Gimp Image get_base_type

#### Declaration [src]

    GimpImageBaseType
    gimp_image_get_base_type (
      GimpImage* image
    )

#### Description [src]

Get the base type of the image.

This procedure returns the image’s base type. Layers in the image must be of this subtype, but can have an optional alpha channel.

#### Return value

Returns: | `GimpImageBaseType`
| The image’s base type.